#!/usr/bin/python
# -*- coding: utf-8 -*-

'''Very simple Python library for color and 
    formatting in terminal.'''


class colored:

    def __init__(self, color):
        self.ESC = '\x1b['
        self.FG256 = self.ESC + '38;5;'
        self.BG256 = self.ESC + '48;5;'
        self.END = 'm'
        self.color = color

    def attr(self):

        paint = {
            'bold'           : self.ESC + '1' + self.END,
             1               : self.ESC + '1' + self.END,
            'dim'            : self.ESC + '2' + self.END,
             2               : self.ESC + '2' + self.END,
            'underlined'     : self.ESC + '4' + self.END,
             4               : self.ESC + '4' + self.END,
            'blink'          : self.ESC + '5' + self.END,
             5               : self.ESC + '5' + self.END,
            'reverse'        : self.ESC + '7' + self.END,
             7               : self.ESC + '7' + self.END,
            'hidden'         : self.ESC + '8' + self.END,
             8               : self.ESC + '8' + self.END,
            'reset'          : self.ESC + '0' + self.END,
             0               : self.ESC + '0' + self.END,
            'res_bold'       : self.ESC + '21' + self.END,
             21              : self.ESC + '21' + self.END,
            'res_dim'        : self.ESC + '22' + self.END,
             22              : self.ESC + '22' + self.END,
            'res_underlined' : self.ESC + '24' + self.END,
             24              : self.ESC + '24' + self.END,
            'res_blink'      : self.ESC + '25' + self.END,
             25              : self.ESC + '25' + self.END,
            'res_reverse'    : self.ESC + '27' + self.END,
             27              : self.ESC + '27' + self.END,
            'res_hidden'     : self.ESC + '28' + self.END,
             28              : self.ESC + '28' + self.END,
        }

        return paint[self.color]

    def fg(self):

        paint = {
            'black'                  : self.FG256 + '0' + self.END,
             0                       : self.FG256 + '0' + self.END,
            'red'                    : self.FG256 + '1' + self.END,        
             1                       : self.FG256 + '1' + self.END,
            'green'                  : self.FG256 + '2' + self.END,
             2                       : self.FG256 + '2' + self.END,
            'yellow'                 : self.FG256 + '3' + self.END,
             3                       : self.FG256 + '3' + self.END,
            'blue'                   : self.FG256 + '4' + self.END,
             4                       : self.FG256 + '4' + self.END,
            'magenta'                : self.FG256 + '5' + self.END,
             5                       : self.FG256 + '5' + self.END,
            'cyan'                   : self.FG256 + '6' + self.END,
             6                       : self.FG256 + '6' + self.END,
            'light_gray'             : self.FG256 + '7' + self.END,
             7                       : self.FG256 + '7' + self.END,
            'dark_gray'              : self.FG256 + '8' + self.END,
             8                       : self.FG256 + '8' + self.END,
            'light_red'              : self.FG256 + '9' + self.END,
             9                       : self.FG256 + '9' + self.END,
            'light_green'            : self.FG256 + '10' + self.END,
             10                      : self.FG256 + '10' + self.END,
            'light_yellow'           : self.FG256 + '11' + self.END,
             11                      : self.FG256 + '11' + self.END,
            'light_blue'             : self.FG256 + '12' + self.END,
             12                      : self.FG256 + '12' + self.END,
            'light_magenta'          : self.FG256 + '13' + self.END,
             13                      : self.FG256 + '13' + self.END,
            'light_cyan'             : self.FG256 + '14' + self.END,
             14                      : self.FG256 + '14' + self.END,
            'white'                  : self.FG256 + '15' + self.END,
             15                      : self.FG256 + '15' + self.END,
            'grey_0'                 : self.FG256 + '16' + self.END,
             16                      : self.FG256 + '16' + self.END,
            'navy_blue'              : self.FG256 + '17' + self.END,
             17                      : self.FG256 + '17' + self.END,
            'dark_blue'              : self.FG256 + '18' + self.END,
             18                      : self.FG256 + '18' + self.END,
            'blue_3a'                : self.FG256 + '19' + self.END,
             19                      : self.FG256 + '19' + self.END,
            'blue_3b'                : self.FG256 + '20' + self.END,
             20                      : self.FG256 + '20' + self.END,
            'blue_1'                 : self.FG256 + '21' + self.END,
             21                      : self.FG256 + '21' + self.END,
            'dark_green'             : self.FG256 + '22' + self.END,
             22                      : self.FG256 + '22' + self.END,
            'deep_sky_blue_4a'       : self.FG256 + '23' + self.END,
             23                      : self.FG256 + '23' + self.END,
            'deep_sky_blue_4b'       : self.FG256 + '24' + self.END,
             24                      : self.FG256 + '24' + self.END,
            'deep_sky_blue_4c'       : self.FG256 + '25' + self.END,
             25                      : self.FG256 + '25' + self.END,
            'dodger_blue_3'          : self.FG256 + '26' + self.END,
             26                      : self.FG256 + '26' + self.END,
            'dodger_blue_2'          : self.FG256 + '27' + self.END,
             27                      : self.FG256 + '27' + self.END,
            'green_4'                : self.FG256 + '28' + self.END,
             28                      : self.FG256 + '28' + self.END,
            'spring_green_4'         : self.FG256 + '29' + self.END,
             29                      : self.FG256 + '29' + self.END,
            'turquoise_4'            : self.FG256 + '30' + self.END,
             30                      : self.FG256 + '30' + self.END,
            'deep_sky_blue_3a'       : self.FG256 + '31' + self.END,
             31                      : self.FG256 + '31' + self.END,
            'deep_sky_blue_3b'       : self.FG256 + '32' + self.END,
             32                      : self.FG256 + '32' + self.END,
            'dodger_blue_1'          : self.FG256 + '33' + self.END,
             33                      : self.FG256 + '33' + self.END,
            'green_3a'               : self.FG256 + '34' + self.END,
             34                      : self.FG256 + '34' + self.END,
            'spring_green_3a'        : self.FG256 + '35' + self.END,    
             35                      : self.FG256 + '35' + self.END,
            'dark_cyan'              : self.FG256 + '36' + self.END,
             36                      : self.FG256 + '36' + self.END,
            'light_sea_green'        : self.FG256 + '37' + self.END,
             37                      : self.FG256 + '37' + self.END,
            'deep_sky_blue_2'        : self.FG256 + '38' + self.END,
             38                      : self.FG256 + '38' + self.END,
            'deep_sky_blue_1'        : self.FG256 + '39' + self.END,
             39                      : self.FG256 + '39' + self.END,
            'green_3b'               : self.FG256 + '40' + self.END,
             40                      : self.FG256 + '40' + self.END,
            'spring_green_3b'        : self.FG256 + '41' + self.END,
             41                      : self.FG256 + '41' + self.END,
            'spring_green_2a'        : self.FG256 + '42' + self.END,
             42                      : self.FG256 + '42' + self.END,
            'cyan_3'                 : self.FG256 + '43' + self.END,
             43                      : self.FG256 + '43' + self.END,
            'dark_turquoise'         : self.FG256 + '44' + self.END,
             44                      : self.FG256 + '44' + self.END,
            'turquoise_2'            : self.FG256 + '45' + self.END,
             45                      : self.FG256 + '45' + self.END,
            'green_1'                : self.FG256 + '46' + self.END,
             46                      : self.FG256 + '46' + self.END,
            'spring_green_2b'        : self.FG256 + '47' + self.END,
             47                      : self.FG256 + '47' + self.END,
            'spring_green_1'         : self.FG256 + '48' + self.END,
             48                      : self.FG256 + '48' + self.END,
            'medium_spring_green'    : self.FG256 + '49' + self.END,
             49                      : self.FG256 + '49' + self.END,
            'cyan_2'                 : self.FG256 + '50' + self.END,
             50                      : self.FG256 + '50' + self.END,
            'cyan_1'                 : self.FG256 + '51' + self.END,
             51                      : self.FG256 + '51' + self.END,
            'dark_red_1'             : self.FG256 + '52' + self.END,
             52                      : self.FG256 + '52' + self.END,
            'deep_pink_4a'           : self.FG256 + '53' + self.END,
             53                      : self.FG256 + '53' + self.END,
            'purple_4a'              : self.FG256 + '54' + self.END,
             54                      : self.FG256 + '54' + self.END,
            'purple_4b'              : self.FG256 + '55' + self.END,
             55                      : self.FG256 + '55' + self.END,
            'purple_3'               : self.FG256 + '56' + self.END,    
             56                      : self.FG256 + '56' + self.END,
            'blue_violet'            : self.FG256 + '57' + self.END,
             57                      : self.FG256 + '57' + self.END,
            'orange_4a'              : self.FG256 + '58' + self.END,
             58                      : self.FG256 + '58' + self.END,
            'grey_37'                : self.FG256 + '59' + self.END,
             59                      : self.FG256 + '59' + self.END,
            'medium_purple_4'        : self.FG256 + '60' + self.END,
             60                      : self.FG256 + '60' + self.END,
            'slate_blue_3a'          : self.FG256 + '61' + self.END,
             61                      : self.FG256 + '61' + self.END,
            'slate_blue_3b'          : self.FG256 + '62' + self.END,
             62                      : self.FG256 + '62' + self.END,
            'royal_blue_1'           : self.FG256 + '63' + self.END,
             63                      : self.FG256 + '63' + self.END,
            'chartreuse_4'           : self.FG256 + '64' + self.END,
             64                      : self.FG256 + '64' + self.END,
            'dark_sea_green_4a'      : self.FG256 + '65' + self.END,
             65                      : self.FG256 + '65' + self.END,
            'pale_turquoise_4'       : self.FG256 + '66' + self.END,
             66                      : self.FG256 + '66' + self.END,
            'steel_blue'             : self.FG256 + '67' + self.END,
             67                      : self.FG256 + '67' + self.END,
            'steel_blue_3'           : self.FG256 + '68' + self.END,
             68                      : self.FG256 + '68' + self.END,
            'cornflower_blue'        : self.FG256 + '69' + self.END,
             69                      : self.FG256 + '69' + self.END,
            'chartreuse_3a'          : self.FG256 + '70' + self.END,
             70                      : self.FG256 + '70' + self.END,
            'dark_sea_green_4b'      : self.FG256 + '71' + self.END,
             71                      : self.FG256 + '71' + self.END,  
            'cadet_blue_2'           : self.FG256 + '72' + self.END,
             72                      : self.FG256 + '72' + self.END,
            'cadet_blue_1'           : self.FG256 + '73' + self.END,
             73                      : self.FG256 + '73' + self.END,
            'sky_blue_3'             : self.FG256 + '74' + self.END,
             74                      : self.FG256 + '74' + self.END,
            'steel_blue_1a'          : self.FG256 + '75' + self.END,
             75                      : self.FG256 + '75' + self.END,
            'chartreuse_3b'          : self.FG256 + '76' + self.END,
             76                      : self.FG256 + '76' + self.END,
            'pale_green_3a'          : self.FG256 + '77' + self.END,
             77                      : self.FG256 + '77' + self.END,
            'sea_green_3'            : self.FG256 + '78' + self.END,
             78                      : self.FG256 + '78' + self.END,
            'aquamarine_3'           : self.FG256 + '79' + self.END,
             79                      : self.FG256 + '79' + self.END,
            'medium_turquoise'       : self.FG256 + '80' + self.END,
             80                      : self.FG256 + '80' + self.END,
            'steel_blue_1b'          : self.FG256 + '81' + self.END,
             81                      : self.FG256 + '81' + self.END,
            'chartreuse_2a'          : self.FG256 + '82' + self.END,
             82                      : self.FG256 + '82' + self.END,
            'sea_green_2'            : self.FG256 + '83' + self.END,
             83                      : self.FG256 + '83' + self.END,
            'sea_green_1a'           : self.FG256 + '84' + self.END,
             84                      : self.FG256 + '84' + self.END,
            'sea_green_1b'           : self.FG256 + '85' + self.END,        
             85                      : self.FG256 + '85' + self.END,
            'aquamarine_1a'          : self.FG256 + '86' + self.END,
             86                      : self.FG256 + '86' + self.END,
            'dark_slate_gray_2'      : self.FG256 + '87' + self.END,
             87                      : self.FG256 + '87' + self.END,
            'dark_red_2'             : self.FG256 + '88' + self.END,
             88                      : self.FG256 + '88' + self.END,
            'deep_pink_4b'           : self.FG256 + '89' + self.END,
             89                      : self.FG256 + '89' + self.END,
            'dark_magenta_1'         : self.FG256 + '90' + self.END,
             90                      : self.FG256 + '90' + self.END,
            'dark_magenta_2'         : self.FG256 + '91' + self.END,
             91                      : self.FG256 + '91' + self.END,
            'dark_violet_1a'         : self.FG256 + '92' + self.END,
             92                      : self.FG256 + '92' + self.END,
            'purple_1a'              : self.FG256 + '93' + self.END,
             93                      : self.FG256 + '93' + self.END,
            'orange_4b'              : self.FG256 + '94' + self.END,
             94                      : self.FG256 + '94' + self.END,
            'light_pink_4'           : self.FG256 + '95' + self.END,
             95                      : self.FG256 + '95' + self.END,
            'plum_4'                 : self.FG256 + '96' + self.END,
             96                      : self.FG256 + '96' + self.END,
            'medium_purple_3a'       : self.FG256 + '97' + self.END,
             97                      : self.FG256 + '97' + self.END,
            'medium_purple_3b'       : self.FG256 + '98' + self.END,
             98                      : self.FG256 + '98' + self.END,
            'slate_blue_1'           : self.FG256 + '99' + self.END,
             99                      : self.FG256 + '99' + self.END,
            'yellow_4a'              : self.FG256 + '100' + self.END,
             100                     : self.FG256 + '100' + self.END,
            'wheat_4'                : self.FG256 + '101' + self.END,
             101                     : self.FG256 + '101' + self.END,
            'grey_53'                : self.FG256 + '102' + self.END,
             102                     : self.FG256 + '102' + self.END,
            'light_slate_grey'       : self.FG256 + '103' + self.END,
             103                     : self.FG256 + '103' + self.END,
            'medium_purple'          : self.FG256 + '104' + self.END,
             104                     : self.FG256 + '104' + self.END,
            'light_slate_blue'       : self.FG256 + '105' + self.END,
             105                     : self.FG256 + '105' + self.END,
            'yellow_4b'              : self.FG256 + '106' + self.END,
             106                     : self.FG256 + '106' + self.END,
            'dark_olive_green_3a'    : self.FG256 + '107' + self.END,
             107                     : self.FG256 + '107' + self.END,
            'dark_green_sea'         : self.FG256 + '108' + self.END,
             108                     : self.FG256 + '108' + self.END,
            'light_sky_blue_3a'      : self.FG256 + '109' + self.END,
             109                     : self.FG256 + '109' + self.END,
            'light_sky_blue_3b'      : self.FG256 + '110' + self.END,
             110                     : self.FG256 + '110' + self.END,
            'sky_blue_2'             : self.FG256 + '111' + self.END,
             111                     : self.FG256 + '111' + self.END,
            'chartreuse_2b'          : self.FG256 + '112' + self.END,
             112                     : self.FG256 + '112' + self.END,
            'dark_olive_green_3b'    : self.FG256 + '113' + self.END,
             113                     : self.FG256 + '113' + self.END,
            'pale_green_3b'          : self.FG256 + '114' + self.END,
             114                     : self.FG256 + '114' + self.END,
            'dark_sea_green_3a'      : self.FG256 + '115' + self.END,
             115                     : self.FG256 + '115' + self.END,
            'dark_slate_gray_3'      : self.FG256 + '116' + self.END,
             116                     : self.FG256 + '116' + self.END,
            'sky_blue_1'             : self.FG256 + '117' + self.END,
             117                     : self.FG256 + '117' + self.END,
            'chartreuse_1'           : self.FG256 + '118' + self.END,
             118                     : self.FG256 + '118' + self.END,
            'light_green_2'          : self.FG256 + '119' + self.END,
             119                     : self.FG256 + '119' + self.END,
            'light_green_3'          : self.FG256 + '120' + self.END,
             120                     : self.FG256 + '120' + self.END,
            'pale_green_1a'          : self.FG256 + '121' + self.END,
             121                     : self.FG256 + '121' + self.END,
            'aquamarine_1b'          : self.FG256 + '122' + self.END,
             122                     : self.FG256 + '122' + self.END,
            'dark_slate_gray_1'      : self.FG256 + '123' + self.END,
             123                     : self.FG256 + '123' + self.END,
            'red_3a'                 : self.FG256 + '124' + self.END,
             124                     : self.FG256 + '124' + self.END,
            'deep_pink_4c'           : self.FG256 + '125' + self.END,
             125                     : self.FG256 + '125' + self.END,   
            'medium_violet_red'      : self.FG256 + '126' + self.END,
             126                     : self.FG256 + '126' + self.END,
            'magenta_3a'             : self.FG256 + '127' + self.END,
             127                     : self.FG256 + '127' + self.END,
            'dark_violet_1b'         : self.FG256 + '128' + self.END,
             128                     : self.FG256 + '128' + self.END,
            'purple_1b'              : self.FG256 + '129' + self.END,
             129                     : self.FG256 + '129' + self.END,
            'dark_orange_3a'         : self.FG256 + '130' + self.END,
             130                     : self.FG256 + '130' + self.END,
            'indian_red_1a'          : self.FG256 + '131' + self.END,
             131                     : self.FG256 + '131' + self.END,
            'hot_pink_3a'            : self.FG256 + '132' + self.END,
             132                     : self.FG256 + '132' + self.END,
            'medium_orchid_3'        : self.FG256 + '133' + self.END,
             133                     : self.FG256 + '133' + self.END,
            'medium_orchid'          : self.FG256 + '134' + self.END,
             134                     : self.FG256 + '134' + self.END,
            'medium_purple_2a'       : self.FG256 + '135' + self.END,
             135                     : self.FG256 + '135' + self.END,
            'dark_goldenrod'         : self.FG256 + '136' + self.END,
             136                     : self.FG256 + '136' + self.END,
            'light_salmon_3a'        : self.FG256 + '137' + self.END,
             137                     : self.FG256 + '137' + self.END,
            'rosy_brown'             : self.FG256 + '138' + self.END,
             138                     : self.FG256 + '138' + self.END,
            'grey_63'                : self.FG256 + '139' + self.END,
             139                     : self.FG256 + '139' + self.END,
            'medium_purple_2b'       : self.FG256 + '140' + self.END,
             140                     : self.FG256 + '140' + self.END,
            'medium_purple_1'        : self.FG256 + '141' + self.END,
             141                     : self.FG256 + '141' + self.END,
            'gold_3a'                : self.FG256 + '142' + self.END,
             142                     : self.FG256 + '142' + self.END,
            'dark_khaki'             : self.FG256 + '143' + self.END,
             143                     : self.FG256 + '143' + self.END,
            'navajo_white_3'         : self.FG256 + '144' + self.END,
             144                     : self.FG256 + '144' + self.END,
            'grey_69'                : self.FG256 + '145' + self.END,
             145                     : self.FG256 + '145' + self.END,
            'light_steel_blue_3'     : self.FG256 + '146' + self.END,
             146                     : self.FG256 + '146' + self.END,
            'light_steel_blue'       : self.FG256 + '147' + self.END,
             147                     : self.FG256 + '147' + self.END,
            'yellow_3a'              : self.FG256 + '148' + self.END,
             148                     : self.FG256 + '148' + self.END,
            'dark_olive_green_3'     : self.FG256 + '149' + self.END,
             149                     : self.FG256 + '149' + self.END,
            'dark_sea_green_3b'      : self.FG256 + '150' + self.END,
             150                     : self.FG256 + '150' + self.END,                   
            'dark_sea_green_2'       : self.FG256 + '151' + self.END,
             151                     : self.FG256 + '151' + self.END,
            'light_cyan_3'           : self.FG256 + '152' + self.END,
             152                     : self.FG256 + '152' + self.END,
            'light_sky_blue_1'       : self.FG256 + '153' + self.END,
             153                     : self.FG256 + '153' + self.END,
            'green_yellow'           : self.FG256 + '154' + self.END,
             154                     : self.FG256 + '154' + self.END,
            'dark_olive_green_2'     : self.FG256 + '155' + self.END,
             155                     : self.FG256 + '155' + self.END,
            'pale_green_1b'          : self.FG256 + '156' + self.END,
             156                     : self.FG256 + '156' + self.END,
            'dark_sea_sreen_2'       : self.FG256 + '157' + self.END,
             157                     : self.FG256 + '157' + self.END,
            'dark_sea_sreen_1'       : self.FG256 + '158' + self.END,
             158                     : self.FG256 + '158' + self.END,
            'pale_turquoise_1'       : self.FG256 + '159' + self.END,
             159                     : self.FG256 + '159' + self.END,
            'red_3a'                 : self.FG256 + '160' + self.END,
             160                     : self.FG256 + '160' + self.END,
            'deep_pink_3a'           : self.FG256 + '161' + self.END,
             161                     : self.FG256 + '161' + self.END,
            'deep_pink_3b'           : self.FG256 + '162' + self.END,
             162                     : self.FG256 + '162' + self.END,
            'magenta_3b'             : self.FG256 + '162' + self.END,
             163                     : self.FG256 + '163' + self.END,
            'magenta_3c'             : self.FG256 + '164' + self.END,
             164                     : self.FG256 + '164' + self.END,
            'magenta_2a'             : self.FG256 + '165' + self.END,
             165                     : self.FG256 + '165' + self.END,
            'dark_orange_3b'         : self.FG256 + '166' + self.END,
             166                     : self.FG256 + '166' + self.END,
            'indian_red_1b'          : self.FG256 + '167' + self.END,
             167                     : self.FG256 + '167' + self.END,
            'hot_pink_3b'            : self.FG256 + '168' + self.END,
             168                     : self.FG256 + '168' + self.END,  
            'hot_pink_2'             : self.FG256 + '169' + self.END,
             169                     : self.FG256 + '169' + self.END,
            'orchid'                 : self.FG256 + '170' + self.END,
             170                     : self.FG256 + '170' + self.END,
            'medium_orchid_1a'       : self.FG256 + '171' + self.END,
             171                     : self.FG256 + '171' + self.END,
            'orange_3'               : self.FG256 + '172' + self.END,
             172                     : self.FG256 + '172' + self.END,
            'light_salmon_3b'        : self.FG256 + '173' + self.END,
             173                     : self.FG256 + '173' + self.END,
            'light_Pink_3'           : self.FG256 + '174' + self.END,
             174                     : self.FG256 + '174' + self.END,
            'pink_3'                 : self.FG256 + '175' + self.END,
             175                     : self.FG256 + '175' + self.END,
            'plum_3'                 : self.FG256 + '176' + self.END,
             176                     : self.FG256 + '176' + self.END,
            'violet'                 : self.FG256 + '177' + self.END,
             177                     : self.FG256 + '177' + self.END,
            'gold_3b'                : self.FG256 + '178' + self.END,
             178                     : self.FG256 + '178' + self.END,  
            'light_Goldenrod_3'      : self.FG256 + '179' + self.END,
             179                     : self.FG256 + '179' + self.END,
            'tan'                    : self.FG256 + '180' + self.END,
             180                     : self.FG256 + '180' + self.END,
            'misty_rose_3'           : self.FG256 + '181' + self.END,
             181                     : self.FG256 + '181' + self.END,
            'thistle_3'              : self.FG256 + '182' + self.END,
             182                     : self.FG256 + '182' + self.END,
            'plum_2'                 : self.FG256 + '183' + self.END,
             183                     : self.FG256 + '183' + self.END,
            'yellow_3b'              : self.FG256 + '184' + self.END,
             184                     : self.FG256 + '184' + self.END,
            'khaki_3'                : self.FG256 + '185' + self.END,
             185                     : self.FG256 + '185' + self.END,
            'light_goldenrod_2a'     : self.FG256 + '186' + self.END,
             186                     : self.FG256 + '186' + self.END,
            'light_yellow_3'         : self.FG256 + '187' + self.END,
             187                     : self.FG256 + '187' + self.END,
            'grey_84'                : self.FG256 + '188' + self.END,
             188                     : self.FG256 + '188' + self.END,
            'light_steel_blue_1'     : self.FG256 + '189' + self.END,
             189                     : self.FG256 + '189' + self.END,
            'yellow_2'               : self.FG256 + '190' + self.END,
             190                     : self.FG256 + '190' + self.END,
            'dark_olive_green_1a'    : self.FG256 + '191' + self.END,
             191                     : self.FG256 + '191' + self.END,
            'dark_olive_green_1b'    : self.FG256 + '192' + self.END,
             192                     : self.FG256 + '192' + self.END,
            'dark_sea_green_1'       : self.FG256 + '193' + self.END,
             193                     : self.FG256 + '193' + self.END,
            'honeydew_2'             : self.FG256 + '194' + self.END,
             194                     : self.FG256 + '194' + self.END,
            'light_cyan_1'           : self.FG256 + '195' + self.END,
             195                     : self.FG256 + '195' + self.END,
            'red_1'                  : self.FG256 + '196' + self.END,
             196                     : self.FG256 + '196' + self.END,
            'deep_pink_2'            : self.FG256 + '197' + self.END,
             197                     : self.FG256 + '199' + self.END,
            'deep_pink_1a'           : self.FG256 + '198' + self.END,
             198                     : self.FG256 + '198' + self.END,
            'deep_pink_1b'           : self.FG256 + '199' + self.END,
             199                     : self.FG256 + '199' + self.END,
            'magenta_2b'             : self.FG256 + '200' + self.END,
             200                     : self.FG256 + '200' + self.END,
            'magenta_1'              : self.FG256 + '201' + self.END,
             201                     : self.FG256 + '201' + self.END,
            'orange_red_1'           : self.FG256 + '202' + self.END,
             202                     : self.FG256 + '202' + self.END,
            'indian_red_1c'          : self.FG256 + '203' + self.END,
             203                     : self.FG256 + '203' + self.END,
            'indian_red_1d'          : self.FG256 + '204' + self.END,
             204                     : self.FG256 + '204' + self.END,
            'hot_pink_1a'            : self.FG256 + '205' + self.END,
             205                     : self.FG256 + '205' + self.END,
            'hot_pink_1b'            : self.FG256 + '206' + self.END,
             206                     : self.FG256 + '206' + self.END,
            'medium_orchid_1b'       : self.FG256 + '207' + self.END,
             207                     : self.FG256 + '207' + self.END,
            'dark_orange'            : self.FG256 + '208' + self.END,
             208                     : self.FG256 + '208' + self.END,
            'salmon_1'               : self.FG256 + '209' + self.END,
             209                     : self.FG256 + '209' + self.END,
            'light_coral'            : self.FG256 + '210' + self.END,
             210                     : self.FG256 + '210' + self.END,
            'pale_violet_red_1'      : self.FG256 + '211' + self.END,
             211                     : self.FG256 + '211' + self.END,
            'orchid_2'               : self.FG256 + '212' + self.END,
             212                     : self.FG256 + '212' + self.END,
            'orchid_1'               : self.FG256 + '213' + self.END,
             213                     : self.FG256 + '213' + self.END,
            'orange_1'               : self.FG256 + '214' + self.END,
             214                     : self.FG256 + '214' + self.END,
            'sandy_brown'            : self.FG256 + '215' + self.END,
             215                     : self.FG256 + '215' + self.END,
            'light_salmon_1'         : self.FG256 + '216' + self.END,
             216                     : self.FG256 + '216' + self.END,
            'light_pink_1'           : self.FG256 + '217' + self.END,
             217                     : self.FG256 + '217' + self.END,
            'pink_1'                 : self.FG256 + '218' + self.END,
             218                     : self.FG256 + '218' + self.END,
            'plum_1'                 : self.FG256 + '219' + self.END,
             219                     : self.FG256 + '219' + self.END,
            'gold_1'                 : self.FG256 + '220' + self.END,
             220                     : self.FG256 + '220' + self.END,
            'light_goldenrod_2b'     : self.FG256 + '221' + self.END,
             221                     : self.FG256 + '221' + self.END,
            'light_goldenrod_2c'     : self.FG256 + '222' + self.END,
             222                     : self.FG256 + '222' + self.END,
            'navajo_white_1'         : self.FG256 + '223' + self.END,
             223                     : self.FG256 + '223' + self.END,
            'misty_rose1'            : self.FG256 + '224' + self.END,
             224                     : self.FG256 + '224' + self.END,
            'thistle_1'              : self.FG256 + '225' + self.END,
             225                     : self.FG256 + '225' + self.END,
            'yellow_1'               : self.FG256 + '226' + self.END,
             226                     : self.FG256 + '226' + self.END,
            'light_goldenrod_1'      : self.FG256 + '227' + self.END,
             227                     : self.FG256 + '227' + self.END,
            'khaki_1'                : self.FG256 + '228' + self.END,
             228                     : self.FG256 + '228' + self.END,
            'wheat_1'                : self.FG256 + '229' + self.END,
             229                     : self.FG256 + '229' + self.END,
            'cornsilk_1'             : self.FG256 + '230' + self.END,
             230                     : self.FG256 + '230' + self.END,
            'grey_100'               : self.FG256 + '231' + self.END,
             231                     : self.FG256 + '231' + self.END,
            'grey_3'                 : self.FG256 + '232' + self.END,
             232                     : self.FG256 + '232' + self.END,
            'grey_7'                 : self.FG256 + '233' + self.END,
             233                     : self.FG256 + '233' + self.END,
            'grey_11'                : self.FG256 + '234' + self.END,
             234                     : self.FG256 + '234' + self.END,
            'grey_15'                : self.FG256 + '235' + self.END,
             235                     : self.FG256 + '235' + self.END,
            'grey_19'                : self.FG256 + '236' + self.END,
             236                     : self.FG256 + '236' + self.END,
            'grey_23'                : self.FG256 + '237' + self.END,
             237                     : self.FG256 + '237' + self.END,
            'grey_27'                : self.FG256 + '238' + self.END,
             238                     : self.FG256 + '238' + self.END,
            'grey_30'                : self.FG256 + '239' + self.END,
             239                     : self.FG256 + '239' + self.END,
            'grey_35'                : self.FG256 + '240' + self.END,
             240                     : self.FG256 + '240' + self.END,
            'grey_39'                : self.FG256 + '241' + self.END,
             241                     : self.FG256 + '241' + self.END,
            'grey_42'                : self.FG256 + '242' + self.END,
             242                     : self.FG256 + '242' + self.END,
            'grey_46'                : self.FG256 + '243' + self.END,
             243                     : self.FG256 + '243' + self.END,
            'grey_50'                : self.FG256 + '244' + self.END,
             244                     : self.FG256 + '244' + self.END,
            'grey_54'                : self.FG256 + '245' + self.END,
             245                     : self.FG256 + '245' + self.END,
            'grey_58'                : self.FG256 + '246' + self.END,
             246                     : self.FG256 + '246' + self.END,
            'grey_62'                : self.FG256 + '247' + self.END,
             247                     : self.FG256 + '247' + self.END,
            'grey_66'                : self.FG256 + '248' + self.END,
             248                     : self.FG256 + '248' + self.END,
            'grey_70'                : self.FG256 + '249' + self.END,
             249                     : self.FG256 + '249' + self.END,
            'grey_74'                : self.FG256 + '250' + self.END,
             250                     : self.FG256 + '250' + self.END,
            'grey_78'                : self.FG256 + '251' + self.END,
             251                     : self.FG256 + '251' + self.END,
            'grey_82'                : self.FG256 + '252' + self.END,
             252                     : self.FG256 + '252' + self.END,
            'grey_85'                : self.FG256 + '253' + self.END,
             253                     : self.FG256 + '253' + self.END,
            'grey_89'                : self.FG256 + '254' + self.END,
             254                     : self.FG256 + '254' + self.END,
            'grey_93'                : self.FG256 + '255' + self.END,
             255                     : self.FG256 + '255' + self.END,
            'default'                : self.ESC + '39' + self.END,
             256                     : self.ESC + '39' + self.END
        }       

        return  paint[self.color]

    def bg(self):
    
        paint = {
            'black'                  : self.BG256 + '0' + self.END,
             0                       : self.BG256 + '0' + self.END,
            'red'                    : self.BG256 + '1' + self.END,        
             1                       : self.BG256 + '1' + self.END,
            'green'                  : self.BG256 + '2' + self.END,
             2                       : self.BG256 + '2' + self.END,
            'yellow'                 : self.BG256 + '3' + self.END,
             3                       : self.BG256 + '3' + self.END,
            'blue'                   : self.BG256 + '4' + self.END,
             4                       : self.BG256 + '4' + self.END,
            'magenta'                : self.BG256 + '5' + self.END,
             5                       : self.BG256 + '5' + self.END,
            'cyan'                   : self.BG256 + '6' + self.END,
             6                       : self.BG256 + '6' + self.END,
            'light_gray'             : self.BG256 + '7' + self.END,
             7                       : self.BG256 + '7' + self.END,
            'dark_gray'              : self.BG256 + '8' + self.END,
             8                       : self.BG256 + '8' + self.END,
            'light_red'              : self.BG256 + '9' + self.END,
             9                       : self.BG256 + '9' + self.END,
            'light_green'            : self.BG256 + '10' + self.END,
             10                      : self.BG256 + '10' + self.END,
            'light_yellow'           : self.BG256 + '11' + self.END,
             11                      : self.BG256 + '11' + self.END,
            'light_blue'             : self.BG256 + '12' + self.END,
             12                      : self.BG256 + '12' + self.END,
            'light_magenta'          : self.BG256 + '13' + self.END,
             13                      : self.BG256 + '13' + self.END,
            'light_cyan'             : self.BG256 + '14' + self.END,
             14                      : self.BG256 + '14' + self.END,
            'white'                  : self.BG256 + '15' + self.END,
             15                      : self.BG256 + '15' + self.END,
            'grey_0'                 : self.BG256 + '16' + self.END,
             16                      : self.BG256 + '16' + self.END,
            'navy_blue'              : self.BG256 + '17' + self.END,
             17                      : self.BG256 + '17' + self.END,
            'dark_blue'              : self.BG256 + '18' + self.END,
             18                      : self.BG256 + '18' + self.END,
            'blue_3a'                : self.BG256 + '19' + self.END,
             19                      : self.BG256 + '19' + self.END,
            'blue_3b'                : self.BG256 + '20' + self.END,
             20                      : self.BG256 + '20' + self.END,
            'blue_1'                 : self.BG256 + '21' + self.END,
             21                      : self.BG256 + '21' + self.END,
            'dark_green'             : self.BG256 + '22' + self.END,
             22                      : self.BG256 + '22' + self.END,
            'deep_sky_blue_4a'       : self.BG256 + '23' + self.END,
             23                      : self.BG256 + '23' + self.END,
            'deep_sky_blue_4b'       : self.BG256 + '24' + self.END,
             24                      : self.BG256 + '24' + self.END,
            'deep_sky_blue_4c'       : self.BG256 + '25' + self.END,
             25                      : self.BG256 + '25' + self.END,
            'dodger_blue_3'          : self.BG256 + '26' + self.END,
             26                      : self.BG256 + '26' + self.END,
            'dodger_blue_2'          : self.BG256 + '27' + self.END,
             27                      : self.BG256 + '27' + self.END,
            'green_4'                : self.BG256 + '28' + self.END,
             28                      : self.BG256 + '28' + self.END,
            'spring_green_4'         : self.BG256 + '29' + self.END,
             29                      : self.BG256 + '29' + self.END,
            'turquoise_4'            : self.BG256 + '30' + self.END,
             30                      : self.BG256 + '30' + self.END,
            'deep_sky_blue_3a'       : self.BG256 + '31' + self.END,
             31                      : self.BG256 + '31' + self.END,
            'deep_sky_blue_3b'       : self.BG256 + '32' + self.END,
             32                      : self.BG256 + '32' + self.END,
            'dodger_blue_1'          : self.BG256 + '33' + self.END,
             33                      : self.BG256 + '33' + self.END,
            'green_3a'               : self.BG256 + '34' + self.END,
             34                      : self.BG256 + '34' + self.END,
            'spring_green_3a'        : self.BG256 + '35' + self.END,    
             35                      : self.BG256 + '35' + self.END,
            'dark_cyan'              : self.BG256 + '36' + self.END,
             36                      : self.BG256 + '36' + self.END,
            'light_sea_green'        : self.BG256 + '37' + self.END,
             37                      : self.BG256 + '37' + self.END,
            'deep_sky_blue_2'        : self.BG256 + '38' + self.END,
             38                      : self.BG256 + '38' + self.END,
            'deep_sky_blue_1'        : self.BG256 + '39' + self.END,
             39                      : self.BG256 + '39' + self.END,
            'green_3b'               : self.BG256 + '40' + self.END,
             40                      : self.BG256 + '40' + self.END,
            'spring_green_3b'        : self.BG256 + '41' + self.END,
             41                      : self.BG256 + '41' + self.END,
            'spring_green_2a'        : self.BG256 + '42' + self.END,
             42                      : self.BG256 + '42' + self.END,
            'cyan_3'                 : self.BG256 + '43' + self.END,
             43                      : self.BG256 + '43' + self.END,
            'dark_turquoise'         : self.BG256 + '44' + self.END,
             44                      : self.BG256 + '44' + self.END,
            'turquoise_2'            : self.BG256 + '45' + self.END,
             45                      : self.BG256 + '45' + self.END,
            'green_1'                : self.BG256 + '46' + self.END,
             46                      : self.BG256 + '46' + self.END,
            'spring_green_2b'        : self.BG256 + '47' + self.END,
             47                      : self.BG256 + '47' + self.END,
            'spring_green_1'         : self.BG256 + '48' + self.END,
             48                      : self.BG256 + '48' + self.END,
            'medium_spring_green'    : self.BG256 + '49' + self.END,
             49                      : self.BG256 + '49' + self.END,
            'cyan_2'                 : self.BG256 + '50' + self.END,
             50                      : self.BG256 + '50' + self.END,
            'cyan_1'                 : self.BG256 + '51' + self.END,
             51                      : self.BG256 + '51' + self.END,
            'dark_red_1'             : self.BG256 + '52' + self.END,
             52                      : self.BG256 + '52' + self.END,
            'deep_pink_4a'           : self.BG256 + '53' + self.END,
             53                      : self.BG256 + '53' + self.END,
            'purple_4a'              : self.BG256 + '54' + self.END,
             54                      : self.BG256 + '54' + self.END,
            'purple_4b'              : self.BG256 + '55' + self.END,
             55                      : self.BG256 + '55' + self.END,
            'purple_3'               : self.BG256 + '56' + self.END,    
             56                      : self.BG256 + '56' + self.END,
            'blue_violet'            : self.BG256 + '57' + self.END,
             57                      : self.BG256 + '57' + self.END,
            'orange_4a'              : self.BG256 + '58' + self.END,
             58                      : self.BG256 + '58' + self.END,
            'grey_37'                : self.BG256 + '59' + self.END,
             59                      : self.BG256 + '59' + self.END,
            'medium_purple_4'        : self.BG256 + '60' + self.END,
             60                      : self.BG256 + '60' + self.END,
            'slate_blue_3a'          : self.BG256 + '61' + self.END,
             61                      : self.BG256 + '61' + self.END,
            'slate_blue_3b'          : self.BG256 + '62' + self.END,
             62                      : self.BG256 + '62' + self.END,
            'royal_blue_1'           : self.BG256 + '63' + self.END,
             63                      : self.BG256 + '63' + self.END,
            'chartreuse_4'           : self.BG256 + '64' + self.END,
             64                      : self.BG256 + '64' + self.END,
            'dark_sea_green_4a'      : self.BG256 + '65' + self.END,
             65                      : self.BG256 + '65' + self.END,
            'pale_turquoise_4'       : self.BG256 + '66' + self.END,
             66                      : self.BG256 + '66' + self.END,
            'steel_blue'             : self.BG256 + '67' + self.END,
             67                      : self.BG256 + '67' + self.END,
            'steel_blue_3'           : self.BG256 + '68' + self.END,
             68                      : self.BG256 + '68' + self.END,
            'cornflower_blue'        : self.BG256 + '69' + self.END,
             69                      : self.BG256 + '69' + self.END,
            'chartreuse_3a'          : self.BG256 + '70' + self.END,
             70                      : self.BG256 + '70' + self.END,
            'dark_sea_green_4b'      : self.BG256 + '71' + self.END,
             71                      : self.BG256 + '71' + self.END,  
            'cadet_blue_2'           : self.BG256 + '72' + self.END,
             72                      : self.BG256 + '72' + self.END,
            'cadet_blue_1'           : self.BG256 + '73' + self.END,
             73                      : self.BG256 + '73' + self.END,
            'sky_blue_3'             : self.BG256 + '74' + self.END,
             74                      : self.BG256 + '74' + self.END,
            'steel_blue_1a'          : self.BG256 + '75' + self.END,
             75                      : self.BG256 + '75' + self.END,
            'chartreuse_3b'          : self.BG256 + '76' + self.END,
             76                      : self.BG256 + '76' + self.END,
            'pale_green_3a'          : self.BG256 + '77' + self.END,
             77                      : self.BG256 + '77' + self.END,
            'sea_green_3'            : self.BG256 + '78' + self.END,
             78                      : self.BG256 + '78' + self.END,
            'aquamarine_3'           : self.BG256 + '79' + self.END,
             79                      : self.BG256 + '79' + self.END,
            'medium_turquoise'       : self.BG256 + '80' + self.END,
             80                      : self.BG256 + '80' + self.END,
            'steel_blue_1b'          : self.BG256 + '81' + self.END,
             81                      : self.BG256 + '81' + self.END,
            'chartreuse_2a'          : self.BG256 + '82' + self.END,
             82                      : self.BG256 + '82' + self.END,
            'sea_green_2'            : self.BG256 + '83' + self.END,
             83                      : self.BG256 + '83' + self.END,
            'sea_green_1a'           : self.BG256 + '84' + self.END,
             84                      : self.BG256 + '84' + self.END,
            'sea_green_1b'           : self.BG256 + '85' + self.END,        
             85                      : self.BG256 + '85' + self.END,
            'aquamarine_1a'          : self.BG256 + '86' + self.END,
             86                      : self.BG256 + '86' + self.END,
            'dark_slate_gray_2'      : self.BG256 + '87' + self.END,
             87                      : self.BG256 + '87' + self.END,
            'dark_red_2'             : self.BG256 + '88' + self.END,
             88                      : self.BG256 + '88' + self.END,
            'deep_pink_4b'           : self.BG256 + '89' + self.END,
             89                      : self.BG256 + '89' + self.END,
            'dark_magenta_1'         : self.BG256 + '90' + self.END,
             90                      : self.BG256 + '90' + self.END,
            'dark_magenta_2'         : self.BG256 + '91' + self.END,
             91                      : self.BG256 + '91' + self.END,
            'dark_violet_1a'         : self.BG256 + '92' + self.END,
             92                      : self.BG256 + '92' + self.END,
            'purple_1a'              : self.BG256 + '93' + self.END,
             93                      : self.BG256 + '93' + self.END,
            'orange_4b'              : self.BG256 + '94' + self.END,
             94                      : self.BG256 + '94' + self.END,
            'light_pink_4'           : self.BG256 + '95' + self.END,
             95                      : self.BG256 + '95' + self.END,
            'plum_4'                 : self.BG256 + '96' + self.END,
             96                      : self.BG256 + '96' + self.END,
            'medium_purple_3a'       : self.BG256 + '97' + self.END,
             97                      : self.BG256 + '97' + self.END,
            'medium_purple_3b'       : self.BG256 + '98' + self.END,
             98                      : self.BG256 + '98' + self.END,
            'slate_blue_1'           : self.BG256 + '99' + self.END,
             99                      : self.BG256 + '99' + self.END,
            'yellow_4a'              : self.BG256 + '100' + self.END,
             100                     : self.BG256 + '100' + self.END,
            'wheat_4'                : self.BG256 + '101' + self.END,
             101                     : self.BG256 + '101' + self.END,
            'grey_53'                : self.BG256 + '102' + self.END,
             102                     : self.BG256 + '102' + self.END,
            'light_slate_grey'       : self.BG256 + '103' + self.END,
             103                     : self.BG256 + '103' + self.END,
            'medium_purple'          : self.BG256 + '104' + self.END,
             104                     : self.BG256 + '104' + self.END,
            'light_slate_blue'       : self.BG256 + '105' + self.END,
             105                     : self.BG256 + '105' + self.END,
            'yellow_4b'              : self.BG256 + '106' + self.END,
             106                     : self.BG256 + '106' + self.END,
            'dark_olive_green_3a'    : self.BG256 + '107' + self.END,
             107                     : self.BG256 + '107' + self.END,
            'dark_green_sea'         : self.BG256 + '108' + self.END,
             108                     : self.BG256 + '108' + self.END,
            'light_sky_blue_3a'      : self.BG256 + '109' + self.END,
             109                     : self.BG256 + '109' + self.END,
            'light_sky_blue_3b'      : self.BG256 + '110' + self.END,
             110                     : self.BG256 + '110' + self.END,
            'sky_blue_2'             : self.BG256 + '111' + self.END,
             111                     : self.BG256 + '111' + self.END,
            'chartreuse_2b'          : self.BG256 + '112' + self.END,
             112                     : self.BG256 + '112' + self.END,
            'dark_olive_green_3b'    : self.BG256 + '113' + self.END,
             113                     : self.BG256 + '113' + self.END,
            'pale_green_3b'          : self.BG256 + '114' + self.END,
             114                     : self.BG256 + '114' + self.END,
            'dark_sea_green_3a'      : self.BG256 + '115' + self.END,
             115                     : self.BG256 + '115' + self.END,
            'dark_slate_gray_3'      : self.BG256 + '116' + self.END,
             116                     : self.BG256 + '116' + self.END,
            'sky_blue_1'             : self.BG256 + '117' + self.END,
             117                     : self.BG256 + '117' + self.END,
            'chartreuse_1'           : self.BG256 + '118' + self.END,
             118                     : self.BG256 + '118' + self.END,
            'light_green_2'          : self.BG256 + '119' + self.END,
             119                     : self.BG256 + '119' + self.END,
            'light_green_3'          : self.BG256 + '120' + self.END,
             120                     : self.BG256 + '120' + self.END,
            'pale_green_1a'          : self.BG256 + '121' + self.END,
             121                     : self.BG256 + '121' + self.END,
            'aquamarine_1b'          : self.BG256 + '122' + self.END,
             122                     : self.BG256 + '122' + self.END,
            'dark_slate_gray_1'      : self.BG256 + '123' + self.END,
             123                     : self.BG256 + '123' + self.END,
            'red_3a'                 : self.BG256 + '124' + self.END,
             124                     : self.BG256 + '124' + self.END,
            'deep_pink_4c'           : self.BG256 + '125' + self.END,
             125                     : self.BG256 + '125' + self.END,   
            'medium_violet_red'      : self.BG256 + '126' + self.END,
             126                     : self.BG256 + '126' + self.END,
            'magenta_3a'             : self.BG256 + '127' + self.END,
             127                     : self.BG256 + '127' + self.END,
            'dark_violet_1b'         : self.BG256 + '128' + self.END,
             128                     : self.BG256 + '128' + self.END,
            'purple_1b'              : self.BG256 + '129' + self.END,
             129                     : self.BG256 + '129' + self.END,
            'dark_orange_3a'         : self.BG256 + '130' + self.END,
             130                     : self.BG256 + '130' + self.END,
            'indian_red_1a'          : self.BG256 + '131' + self.END,
             131                     : self.BG256 + '131' + self.END,
            'hot_pink_3a'            : self.BG256 + '132' + self.END,
             132                     : self.BG256 + '132' + self.END,
            'medium_orchid_3'        : self.BG256 + '133' + self.END,
             133                     : self.BG256 + '133' + self.END,
            'medium_orchid'          : self.BG256 + '134' + self.END,
             134                     : self.BG256 + '134' + self.END,
            'medium_purple_2a'       : self.BG256 + '135' + self.END,
             135                     : self.BG256 + '135' + self.END,
            'dark_goldenrod'         : self.BG256 + '136' + self.END,
             136                     : self.BG256 + '136' + self.END,
            'light_salmon_3a'        : self.BG256 + '137' + self.END,
             137                     : self.BG256 + '137' + self.END,
            'rosy_brown'             : self.BG256 + '138' + self.END,
             138                     : self.BG256 + '138' + self.END,
            'grey_63'                : self.BG256 + '139' + self.END,
             139                     : self.BG256 + '139' + self.END,
            'medium_purple_2b'       : self.BG256 + '140' + self.END,
             140                     : self.BG256 + '140' + self.END,
            'medium_purple_1'        : self.BG256 + '141' + self.END,
             141                     : self.BG256 + '141' + self.END,
            'gold_3a'                : self.BG256 + '142' + self.END,
             142                     : self.BG256 + '142' + self.END,
            'dark_khaki'             : self.BG256 + '143' + self.END,
             143                     : self.BG256 + '143' + self.END,
            'navajo_white_3'         : self.BG256 + '144' + self.END,
             144                     : self.BG256 + '144' + self.END,
            'grey_69'                : self.BG256 + '145' + self.END,
             145                     : self.BG256 + '145' + self.END,
            'light_steel_blue_3'     : self.BG256 + '146' + self.END,
             146                     : self.BG256 + '146' + self.END,
            'light_steel_blue'       : self.BG256 + '147' + self.END,
             147                     : self.BG256 + '147' + self.END,
            'yellow_3a'              : self.BG256 + '148' + self.END,
             148                     : self.BG256 + '148' + self.END,
            'dark_olive_green_3'     : self.BG256 + '149' + self.END,
             149                     : self.BG256 + '149' + self.END,
            'dark_sea_green_3b'      : self.BG256 + '150' + self.END,
             150                     : self.BG256 + '150' + self.END,                   
            'dark_sea_green_2'       : self.BG256 + '151' + self.END,
             151                     : self.BG256 + '151' + self.END,
            'light_cyan_3'           : self.BG256 + '152' + self.END,
             152                     : self.BG256 + '152' + self.END,
            'light_sky_blue_1'       : self.BG256 + '153' + self.END,
             153                     : self.BG256 + '153' + self.END,
            'green_yellow'           : self.BG256 + '154' + self.END,
             154                     : self.BG256 + '154' + self.END,
            'dark_olive_green_2'     : self.BG256 + '155' + self.END,
             155                     : self.BG256 + '155' + self.END,
            'pale_green_1b'          : self.BG256 + '156' + self.END,
             156                     : self.BG256 + '156' + self.END,
            'dark_sea_sreen_2'       : self.BG256 + '157' + self.END,
             157                     : self.BG256 + '157' + self.END,
            'dark_sea_sreen_1'       : self.BG256 + '158' + self.END,
             158                     : self.BG256 + '158' + self.END,
            'pale_turquoise_1'       : self.BG256 + '159' + self.END,
             159                     : self.BG256 + '159' + self.END,
            'red_3a'                 : self.BG256 + '160' + self.END,
             160                     : self.BG256 + '160' + self.END,
            'deep_pink_3a'           : self.BG256 + '161' + self.END,
             161                     : self.BG256 + '161' + self.END,
            'deep_pink_3b'           : self.BG256 + '162' + self.END,
             162                     : self.BG256 + '162' + self.END,
            'magenta_3b'             : self.BG256 + '162' + self.END,
             163                     : self.BG256 + '163' + self.END,
            'magenta_3c'             : self.BG256 + '164' + self.END,
             164                     : self.BG256 + '164' + self.END,
            'magenta_2a'             : self.BG256 + '165' + self.END,
             165                     : self.BG256 + '165' + self.END,
            'dark_orange_3b'         : self.BG256 + '166' + self.END,
             166                     : self.BG256 + '166' + self.END,
            'indian_red_1b'          : self.BG256 + '167' + self.END,
             167                     : self.BG256 + '167' + self.END,
            'hot_pink_3b'            : self.BG256 + '168' + self.END,
             168                     : self.BG256 + '168' + self.END,  
            'hot_pink_2'             : self.BG256 + '169' + self.END,
             169                     : self.BG256 + '169' + self.END,
            'orchid'                 : self.BG256 + '170' + self.END,
             170                     : self.BG256 + '170' + self.END,
            'medium_orchid_1a'       : self.BG256 + '171' + self.END,
             171                     : self.BG256 + '171' + self.END,
            'orange_3'               : self.BG256 + '172' + self.END,
             172                     : self.BG256 + '172' + self.END,
            'light_salmon_3b'        : self.BG256 + '173' + self.END,
             173                     : self.BG256 + '173' + self.END,
            'light_Pink_3'           : self.BG256 + '174' + self.END,
             174                     : self.BG256 + '174' + self.END,
            'pink_3'                 : self.BG256 + '175' + self.END,
             175                     : self.BG256 + '175' + self.END,
            'plum_3'                 : self.BG256 + '176' + self.END,
             176                     : self.BG256 + '176' + self.END,
            'violet'                 : self.BG256 + '177' + self.END,
             177                     : self.BG256 + '177' + self.END,
            'gold_3b'                : self.BG256 + '178' + self.END,
             178                     : self.BG256 + '178' + self.END,  
            'light_Goldenrod_3'      : self.BG256 + '179' + self.END,
             179                     : self.BG256 + '179' + self.END,
            'tan'                    : self.BG256 + '180' + self.END,
             180                     : self.BG256 + '180' + self.END,
            'misty_rose_3'           : self.BG256 + '181' + self.END,
             181                     : self.BG256 + '181' + self.END,
            'thistle_3'              : self.BG256 + '182' + self.END,
             182                     : self.BG256 + '182' + self.END,
            'plum_2'                 : self.BG256 + '183' + self.END,
             183                     : self.BG256 + '183' + self.END,
            'yellow_3b'              : self.BG256 + '184' + self.END,
             184                     : self.BG256 + '184' + self.END,
            'khaki_3'                : self.BG256 + '185' + self.END,
             185                     : self.BG256 + '185' + self.END,
            'light_goldenrod_2a'     : self.BG256 + '186' + self.END,
             186                     : self.BG256 + '186' + self.END,
            'light_yellow_3'         : self.BG256 + '187' + self.END,
             187                     : self.BG256 + '187' + self.END,
            'grey_84'                : self.BG256 + '188' + self.END,
             188                     : self.BG256 + '188' + self.END,
            'light_steel_blue_1'     : self.BG256 + '189' + self.END,
             189                     : self.BG256 + '189' + self.END,
            'yellow_2'               : self.BG256 + '190' + self.END,
             190                     : self.BG256 + '190' + self.END,
            'dark_olive_green_1a'    : self.BG256 + '191' + self.END,
             191                     : self.BG256 + '191' + self.END,
            'dark_olive_green_1b'    : self.BG256 + '192' + self.END,
             192                     : self.BG256 + '192' + self.END,
            'dark_sea_green_1'       : self.BG256 + '193' + self.END,
             193                     : self.BG256 + '193' + self.END,
            'honeydew_2'             : self.BG256 + '194' + self.END,
             194                     : self.BG256 + '194' + self.END,
            'light_cyan_1'           : self.BG256 + '195' + self.END,
             195                     : self.BG256 + '195' + self.END,
            'red_1'                  : self.BG256 + '196' + self.END,
             196                     : self.BG256 + '196' + self.END,
            'deep_pink_2'            : self.BG256 + '197' + self.END,
             197                     : self.BG256 + '199' + self.END,
            'deep_pink_1a'           : self.BG256 + '198' + self.END,
             198                     : self.BG256 + '198' + self.END,
            'deep_pink_1b'           : self.BG256 + '199' + self.END,
             199                     : self.BG256 + '199' + self.END,
            'magenta_2b'             : self.BG256 + '200' + self.END,
             200                     : self.BG256 + '200' + self.END,
            'magenta_1'              : self.BG256 + '201' + self.END,
             201                     : self.BG256 + '201' + self.END,
            'orange_red_1'           : self.BG256 + '202' + self.END,
             202                     : self.BG256 + '202' + self.END,
            'indian_red_1c'          : self.BG256 + '203' + self.END,
             203                     : self.BG256 + '203' + self.END,
            'indian_red_1d'          : self.BG256 + '204' + self.END,
             204                     : self.BG256 + '204' + self.END,
            'hot_pink_1a'            : self.BG256 + '205' + self.END,
             205                     : self.BG256 + '205' + self.END,
            'hot_pink_1b'            : self.BG256 + '206' + self.END,
             206                     : self.BG256 + '206' + self.END,
            'medium_orchid_1b'       : self.BG256 + '207' + self.END,
             207                     : self.BG256 + '207' + self.END,
            'dark_orange'            : self.BG256 + '208' + self.END,
             208                     : self.BG256 + '208' + self.END,
            'salmon_1'               : self.BG256 + '209' + self.END,
             209                     : self.BG256 + '209' + self.END,
            'light_coral'            : self.BG256 + '210' + self.END,
             210                     : self.BG256 + '210' + self.END,
            'pale_violet_red_1'      : self.BG256 + '211' + self.END,
             211                     : self.BG256 + '211' + self.END,
            'orchid_2'               : self.BG256 + '212' + self.END,
             212                     : self.BG256 + '212' + self.END,
            'orchid_1'               : self.BG256 + '213' + self.END,
             213                     : self.BG256 + '213' + self.END,
            'orange_1'               : self.BG256 + '214' + self.END,
             214                     : self.BG256 + '214' + self.END,
            'sandy_brown'            : self.BG256 + '215' + self.END,
             215                     : self.BG256 + '215' + self.END,
            'light_salmon_1'         : self.BG256 + '216' + self.END,
             216                     : self.BG256 + '216' + self.END,
            'light_pink_1'           : self.BG256 + '217' + self.END,
             217                     : self.BG256 + '217' + self.END,
            'pink_1'                 : self.BG256 + '218' + self.END,
             218                     : self.BG256 + '218' + self.END,
            'plum_1'                 : self.BG256 + '219' + self.END,
             219                     : self.BG256 + '219' + self.END,
            'gold_1'                 : self.BG256 + '220' + self.END,
             220                     : self.BG256 + '220' + self.END,
            'light_goldenrod_2b'     : self.BG256 + '221' + self.END,
             221                     : self.BG256 + '221' + self.END,
            'light_goldenrod_2c'     : self.BG256 + '222' + self.END,
             222                     : self.BG256 + '222' + self.END,
            'navajo_white_1'         : self.BG256 + '223' + self.END,
             223                     : self.BG256 + '223' + self.END,
            'misty_rose1'            : self.BG256 + '224' + self.END,
             224                     : self.BG256 + '224' + self.END,
            'thistle_1'              : self.BG256 + '225' + self.END,
             225                     : self.BG256 + '225' + self.END,
            'yellow_1'               : self.BG256 + '226' + self.END,
             226                     : self.BG256 + '226' + self.END,
            'light_goldenrod_1'      : self.BG256 + '227' + self.END,
             227                     : self.BG256 + '227' + self.END,
            'khaki_1'                : self.BG256 + '228' + self.END,
             228                     : self.BG256 + '228' + self.END,
            'wheat_1'                : self.BG256 + '229' + self.END,
             229                     : self.BG256 + '229' + self.END,
            'cornsilk_1'             : self.BG256 + '230' + self.END,
             230                     : self.BG256 + '230' + self.END,
            'grey_100'               : self.BG256 + '231' + self.END,
             231                     : self.BG256 + '231' + self.END,
            'grey_3'                 : self.BG256 + '232' + self.END,
             232                     : self.BG256 + '232' + self.END,
            'grey_7'                 : self.BG256 + '233' + self.END,
             233                     : self.BG256 + '233' + self.END,
            'grey_11'                : self.BG256 + '234' + self.END,
             234                     : self.BG256 + '234' + self.END,
            'grey_15'                : self.BG256 + '235' + self.END,
             235                     : self.BG256 + '235' + self.END,
            'grey_19'                : self.BG256 + '236' + self.END,
             236                     : self.BG256 + '236' + self.END,
            'grey_23'                : self.BG256 + '237' + self.END,
             237                     : self.BG256 + '237' + self.END,
            'grey_27'                : self.BG256 + '238' + self.END,
             238                     : self.BG256 + '238' + self.END,
            'grey_30'                : self.BG256 + '239' + self.END,
             239                     : self.BG256 + '239' + self.END,
            'grey_35'                : self.BG256 + '240' + self.END,
             240                     : self.BG256 + '240' + self.END,
            'grey_39'                : self.BG256 + '241' + self.END,
             241                     : self.BG256 + '241' + self.END,
            'grey_42'                : self.BG256 + '242' + self.END,
             242                     : self.BG256 + '242' + self.END,
            'grey_46'                : self.BG256 + '243' + self.END,
             243                     : self.BG256 + '243' + self.END,
            'grey_50'                : self.BG256 + '244' + self.END,
             244                     : self.BG256 + '244' + self.END,
            'grey_54'                : self.BG256 + '245' + self.END,
             245                     : self.BG256 + '245' + self.END,
            'grey_58'                : self.BG256 + '246' + self.END,
             246                     : self.BG256 + '246' + self.END,
            'grey_62'                : self.BG256 + '247' + self.END,
             247                     : self.BG256 + '247' + self.END,
            'grey_66'                : self.BG256 + '248' + self.END,
             248                     : self.BG256 + '248' + self.END,
            'grey_70'                : self.BG256 + '249' + self.END,
             249                     : self.BG256 + '249' + self.END,
            'grey_74'                : self.BG256 + '250' + self.END,
             250                     : self.BG256 + '250' + self.END,
            'grey_78'                : self.BG256 + '251' + self.END,
             251                     : self.BG256 + '251' + self.END,
            'grey_82'                : self.BG256 + '252' + self.END,
             252                     : self.BG256 + '252' + self.END,
            'grey_85'                : self.BG256 + '253' + self.END,
             253                     : self.BG256 + '253' + self.END,
            'grey_89'                : self.BG256 + '254' + self.END,
             254                     : self.BG256 + '254' + self.END,
            'grey_93'                : self.BG256 + '255' + self.END,
             255                     : self.BG256 + '255' + self.END,
            'default'                : self.ESC + '49' + self.END,
             256                     : self.ESC + '49' + self.END
        }       
    
        return  paint[self.color]
